linux-lts-trusty 3.13.0-117.164~precise1 source package in Ubuntu

Changelog

linux-lts-trusty (3.13.0-117.164~precise1) precise; urgency=low

  * linux-lts-trusty: 3.13.0-117.164~precise1 -proposed tracker (LP: #1680735)

  * linux: 3.13.0-117.164 -proposed tracker (LP: #1680733)

  * CVE-2017-6353
    - sctp: deny peeloff operation on asocs with threads sleeping on it

  * CVE-2017-5986
    - sctp: avoid BUG_ON on sctp_wait_for_sndbuf

  * Update ENA driver to 1.1.2 from net-next (LP: #1664312)
    - net: ena: Remove unnecessary pci_set_drvdata()
    - net: ena: Fix error return code in ena_device_init()
    - net: ena: change the return type of ena_set_push_mode() to be void.
    - net: ena: use setup_timer() and mod_timer()
    - net/ena: remove ntuple filter support from device feature list
    - net/ena: fix queues number calculation
    - net/ena: fix ethtool RSS flow configuration
    - net/ena: fix RSS default hash configuration
    - net/ena: fix NULL dereference when removing the driver after device reset
      failed
    - net/ena: refactor ena_get_stats64 to be atomic context safe
    - net/ena: fix potential access to freed memory during device reset
    - net/ena: use READ_ONCE to access completion descriptors
    - net/ena: reduce the severity of ena printouts
    - net/ena: change driver's default timeouts
    - net/ena: change condition for host attribute configuration
    - net/ena: update driver version to 1.1.2

  * [Xenial - 16.04 ]Bonding driver - stack corruption when trying to copy 20
    bytes to a sockaddr (LP: #1668042)
    - net/bonding: Enforce active-backup policy for IPoIB bonds

  * stress_smoke_test passing and exiting rc=9 (linux 4.9.0-12.13 ADT test
    failure with linux 4.9.0-12.13) (LP: #1658633)
    - ext4: lock the xattr block before checksuming it

  * vmxnet3 LRO IPv6 performance issues (stalling TCP) (LP: #1605494)
    - Driver: Vmxnet3: set CHECKSUM_UNNECESSARY for IPv6 packets

  * move aufs.ko from -extra to linux-image package (LP: #1673498)
    - [config] aufs.ko moved to linux-image package

  * lsattr 32bit does not work on 64bit kernel (Inappropriate ioctl error)
    (LP: #1619918)
    - btrfs: fix btrfs_compat_ioctl failures on non-compat ioctls

 -- Kleber Sacilotto de Souza <email address hidden>  Thu, 06 Apr 2017 17:52:50 +0100

Upload details

Uploaded by:
Kleber Sacilotto de Souza on 2017-04-10
Sponsored by:
Stefan Bader
Uploaded to:
Precise
Original maintainer:
Ubuntu Kernel Team
Architectures:
all i386 amd64 armhf
Section:
devel
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Precise security on 2017-04-24 main devel
Precise updates on 2017-04-24 main devel

Downloads

File Size SHA-256 Checksum
linux-lts-trusty_3.13.0.orig.tar.gz 111.0 MiB 073d6a589655031564407e349c86a316941fc26ef3444bb73a092b43a48347ec
linux-lts-trusty_3.13.0-117.164~precise1.diff.gz 10.8 MiB a5312f3b75f9d544ba12c2f7c1460150457bfef9ee023378174dbd26ab21ac9a
linux-lts-trusty_3.13.0-117.164~precise1.dsc 3.5 KiB 34e9252392d72ae306f07d714c9f75a02c6a9574d5be3c880e058852e0764ce0

View changes file

Binary packages built by this source

block-modules-3.13.0-117-generic-di: Block storage devices

 This package contains the block storage devices, including DAC960 and
 paraide.

block-modules-3.13.0-117-generic-lpae-di: Block storage devices

 This package contains the block storage devices, including DAC960 and
 paraide.

crypto-modules-3.13.0-117-generic-di: crypto modules

 This package contains crypto modules.

crypto-modules-3.13.0-117-generic-lpae-di: crypto modules

 This package contains crypto modules.

fat-modules-3.13.0-117-generic-di: FAT filesystem support

 This includes Windows FAT and VFAT support.

fat-modules-3.13.0-117-generic-lpae-di: FAT filesystem support

 This includes Windows FAT and VFAT support.

fb-modules-3.13.0-117-generic-di: Framebuffer modules
firewire-core-modules-3.13.0-117-generic-di: Firewire (IEEE-1394) Support
floppy-modules-3.13.0-117-generic-di: Floppy driver support
fs-core-modules-3.13.0-117-generic-di: Base filesystem modules

 This includes jfs, reiserfs and xfs.

fs-core-modules-3.13.0-117-generic-lpae-di: Base filesystem modules

 This includes jfs, reiserfs and xfs.

fs-secondary-modules-3.13.0-117-generic-di: Extra filesystem modules

 This includes support for Windows NTFS and MacOS HFS/HFSPlus

fs-secondary-modules-3.13.0-117-generic-lpae-di: Extra filesystem modules

 This includes support for Windows NTFS and MacOS HFS/HFSPlus

input-modules-3.13.0-117-generic-di: Support for various input methods
input-modules-3.13.0-117-generic-lpae-di: Support for various input methods
ipmi-modules-3.13.0-117-generic-di: ipmi modules
ipmi-modules-3.13.0-117-generic-lpae-di: ipmi modules
irda-modules-3.13.0-117-generic-di: Support for Infrared protocols
irda-modules-3.13.0-117-generic-lpae-di: Support for Infrared protocols
kernel-image-3.13.0-117-generic-di: Linux kernel binary image for the Debian installer

 This package contains the kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

kernel-image-3.13.0-117-generic-lpae-di: Linux kernel binary image for the Debian installer

 This package contains the kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

linux-cloud-tools-3.13.0-117-generic: Linux kernel version specific cloud tools for version 3.13.0-117

 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 3.13.0-117 on
 64 bit x86.

linux-headers-3.13.0-117: Header files related to Linux kernel version 3.13.0

 This package provides kernel header files for version 3.13.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-lts-trusty-headers-3.13.0-117/debian.README.gz for details

linux-headers-3.13.0-117-generic: Linux kernel headers for version 3.13.0 on ARM (hard float) SMP

 This package provides kernel header files for version 3.13.0 on
 ARM (hard float) SMP.
 .
 This is for sites that want the latest kernel headers. Please read
 /usr/share/doc/linux-headers-3.13.0-117/debian.README.gz for details.

linux-headers-3.13.0-117-generic-lpae: Linux kernel headers for version 3.13.0 on ARM (hard float) SMP

 This package provides kernel header files for version 3.13.0 on
 ARM (hard float) SMP.
 .
 This is for sites that want the latest kernel headers. Please read
 /usr/share/doc/linux-headers-3.13.0-117/debian.README.gz for details.

linux-image-3.13.0-117-generic: Linux kernel image for version 3.13.0 on ARM (hard float) SMP

 This package contains the Linux kernel image for version 3.13.0 on
 ARM (hard float) SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-image-3.13.0-117-generic-dbgsym: Linux kernel debug image for version 3.13.0 on ARM (hard float) SMP

 This package provides a kernel debug image for version 3.13.0 on
 ARM (hard float) SMP.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

linux-image-3.13.0-117-generic-lpae: Linux kernel image for version 3.13.0 on ARM (hard float) SMP

 This package contains the Linux kernel image for version 3.13.0 on
 ARM (hard float) SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic LPAE processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic-lpae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

linux-image-3.13.0-117-generic-lpae-dbgsym: Linux kernel debug image for version 3.13.0 on ARM (hard float) SMP

 This package provides a kernel debug image for version 3.13.0 on
 ARM (hard float) SMP.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

linux-lts-trusty-cloud-tools-3.13.0-117: Linux kernel version specific cloud tools for version 3.13.0-117

 This package provides the architecture dependant parts for kernel
 version locked tools for cloud tools for version 3.13.0-117 on
 64 bit x86.
 You probabally want to install linux-cloud-tools-3.13.0-117-<flavour>.

linux-lts-trusty-tools-3.13.0-117: Linux kernel version specific tools for version 3.13.0-117

 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.13.0-117 on
 ARM (hard float).
 You probabally want to install linux-tools-3.13.0-117-<flavour>.

linux-lts-trusty-tools-3.13.0-117-dbgsym: debug symbols for package linux-lts-trusty-tools-3.13.0-117

 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.13.0-117 on
 ARM (hard float).
 You probabally want to install linux-tools-3.13.0-117-<flavour>.

linux-lts-trusty-udebs-generic: Metapackage depending on kernel udebs

 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.

linux-lts-trusty-udebs-generic-lpae: Metapackage depending on kernel udebs

 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.

linux-tools-3.13.0-117-generic: Linux kernel version specific tools for version 3.13.0-117

 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.13.0-117 on
 ARM (hard float).

linux-tools-3.13.0-117-generic-lpae: Linux kernel version specific tools for version 3.13.0-117

 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.13.0-117 on
 ARM (hard float).

md-modules-3.13.0-117-generic-di: Multi-device support (raid, device-mapper, lvm)
md-modules-3.13.0-117-generic-lpae-di: Multi-device support (raid, device-mapper, lvm)
message-modules-3.13.0-117-generic-di: Fusion and i2o storage modules

 This package containes the fusion and i2o storage modules.

mouse-modules-3.13.0-117-generic-di: Mouse support

 This package contains mouse drivers for the Linux kernel.

mouse-modules-3.13.0-117-generic-lpae-di: Mouse support

 This package contains mouse drivers for the Linux kernel.

multipath-modules-3.13.0-117-generic-di: DM-Multipath support

  This package contains modules for device-mapper multipath support.

multipath-modules-3.13.0-117-generic-lpae-di: DM-Multipath support

  This package contains modules for device-mapper multipath support.

nfs-modules-3.13.0-117-generic-di: NFS filesystem drivers

 Includes the NFS client driver, and supporting modules.

nfs-modules-3.13.0-117-generic-lpae-di: NFS filesystem drivers

 Includes the NFS client driver, and supporting modules.

nic-modules-3.13.0-117-generic-di: Network interface support
nic-modules-3.13.0-117-generic-lpae-di: Network interface support
nic-pcmcia-modules-3.13.0-117-generic-di: PCMCIA network interface support
nic-shared-modules-3.13.0-117-generic-di: nic shared modules

  This package contains modules which support nic modules

nic-shared-modules-3.13.0-117-generic-lpae-di: nic shared modules

  This package contains modules which support nic modules

nic-usb-modules-3.13.0-117-generic-di: USB network interface support
nic-usb-modules-3.13.0-117-generic-lpae-di: USB network interface support
parport-modules-3.13.0-117-generic-di: Parallel port support
parport-modules-3.13.0-117-generic-lpae-di: Parallel port support
pata-modules-3.13.0-117-generic-di: PATA support modules
pcmcia-modules-3.13.0-117-generic-di: PCMCIA Modules
pcmcia-storage-modules-3.13.0-117-generic-di: PCMCIA storage support
plip-modules-3.13.0-117-generic-di: PLIP (parallel port) networking support
plip-modules-3.13.0-117-generic-lpae-di: PLIP (parallel port) networking support
ppp-modules-3.13.0-117-generic-di: PPP (serial port) networking support
ppp-modules-3.13.0-117-generic-lpae-di: PPP (serial port) networking support
sata-modules-3.13.0-117-generic-di: SATA storage support
sata-modules-3.13.0-117-generic-lpae-di: SATA storage support
scsi-modules-3.13.0-117-generic-di: SCSI storage support
scsi-modules-3.13.0-117-generic-lpae-di: SCSI storage support
serial-modules-3.13.0-117-generic-di: Serial port support
speakup-modules-3.13.0-117-generic-di: speakup modules

 This package contains speakup modules.

speakup-modules-3.13.0-117-generic-lpae-di: speakup modules

 This package contains speakup modules.

squashfs-modules-3.13.0-117-generic-di: squashfs modules

 This package contains squashfs modules.

squashfs-modules-3.13.0-117-generic-lpae-di: squashfs modules

 This package contains squashfs modules.

storage-core-modules-3.13.0-117-generic-di: Core storage support

 Includes core SCSI, LibATA, USB-Storage. Also includes related block
 devices for CD, Disk and Tape medium (and IDE Floppy).

storage-core-modules-3.13.0-117-generic-lpae-di: Core storage support

 Includes core SCSI, LibATA, USB-Storage. Also includes related block
 devices for CD, Disk and Tape medium (and IDE Floppy).

usb-modules-3.13.0-117-generic-di: Core USB support
usb-modules-3.13.0-117-generic-lpae-di: Core USB support
virtio-modules-3.13.0-117-generic-di: VirtIO Modules

 Includes modules for VirtIO (virtual machine, generally kvm guests)

vlan-modules-3.13.0-117-generic-di: vlan modules

 This package contains vlan (8021.Q) modules.

vlan-modules-3.13.0-117-generic-lpae-di: vlan modules

 This package contains vlan (8021.Q) modules.